package com.hzya.frame.sysnew.application.appAcount.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.appAcount.entity.SysApplicationAccountEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 应用账户表(SysApplicationAccount)表服务接口
 *
 * @author xiang2lin
 * @since 2025-05-10 15:52:25
 */
public interface ISysApplicationAccountService extends IBaseService<SysApplicationAccountEntity, String>{

    /**
     * 保存账户信息
     * @param object
     * @return
     */
    JsonResultEntity saveAccount(JSONObject object);

    /**
     * 更新账户信息
     * @param object
     * @return
     */
    JsonResultEntity updateAccount(JSONObject object);

    /**
     * 删除账户信息
     * @param object
     * @return
     */
    JsonResultEntity deleteAccount(JSONObject object);

    /**
     * 查询账户详情
     * @param object
     * @return
     */
    JsonResultEntity getAccount(JSONObject object);

    /**
     * 查询账户列表数据
     * @param object
     * @return
     */
    JsonResultEntity queryAccountList(JSONObject object);

    /**
     * 查询账户分页数据
     * @param object
     * @return
     */
    JsonResultEntity queryAccountPaged(JSONObject object);
}
