package com.hzya.frame.sysnew.application.appAcount.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.appAcount.entity.SysApplicationAccountEntity;
import com.hzya.frame.sysnew.application.appAcount.dao.ISysApplicationAccountDao;
import com.hzya.frame.sysnew.application.appAcount.service.ISysApplicationAccountService;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;
/**
 * 应用账户表(SysApplicationAccount)表服务实现类
 *
 * @author xiang2lin
 * @since 2025-05-10 15:52:26
 */
@Service(value = "sysApplicationAccountService")
public class SysApplicationAccountServiceImpl extends BaseService<SysApplicationAccountEntity, String> implements ISysApplicationAccountService {
     
    private ISysApplicationAccountDao sysApplicationAccountDao;
    
    @Autowired
	public void setSysApplicationAccountDao(ISysApplicationAccountDao dao) {
		this.sysApplicationAccountDao = dao;
		this.dao = dao;
	}

	/**
	 * 保存账户信息
	 *
	 * @param object
	 * @return
	 */
	@Override
	public JsonResultEntity saveAccount(JSONObject object) {
		SysApplicationAccountEntity entity =  getData("jsonStr", object, SysApplicationAccountEntity.class);
		try {
			checkParam(entity,"save");
		}catch (Exception e){
			return BaseResult.getFailureMessageEntity(e.getMessage());
		}
		sysApplicationAccountDao.save(entity);
		return BaseResult.getSuccessMessageEntity("新增成功");
	}

	/**
	 * 更新账户信息
	 *
	 * @param object
	 * @return
	 */
	@Override
	public JsonResultEntity updateAccount(JSONObject object) {
		return null;
	}

	/**
	 * 删除账户信息
	 *
	 * @param object
	 * @return
	 */
	@Override
	public JsonResultEntity deleteAccount(JSONObject object) {
		return null;
	}

	/**
	 * 查询账户详情
	 *
	 * @param object
	 * @return
	 */
	@Override
	public JsonResultEntity getAccount(JSONObject object) {
		return null;
	}

	/**
	 * 查询账户列表数据
	 *
	 * @param object
	 * @return
	 */
	@Override
	public JsonResultEntity queryAccountList(JSONObject object) {
		return null;
	}

	/**
	 * 查询账户分页数据
	 *
	 * @param object
	 * @return
	 */
	@Override
	public JsonResultEntity queryAccountPaged(JSONObject object) {
		return null;
	}

	//数据检查
	private void checkParam(SysApplicationAccountEntity entity,String type){

	}
}
