package com.hzya.frame.nifi.config;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * jackson配置类
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.nifi.config
 * @Project：fw-nifi
 * @name：JacksonConfig
 * @Date：2025/5/14 11:54
 * @Filename：JacksonConfig
 */
@Configuration
public class JacksonConfig {
    @Bean
    public ObjectMapper objectMapper() {
        ObjectMapper objectMapper = new ObjectMapper();
        // 自动注册模块
        objectMapper.findAndRegisterModules();
        // 忽略 JSON 中存在但实体类中缺少的字段
        objectMapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        return objectMapper;
    }
}