package com.hzya.frame.nifi.util;

import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.stereotype.Component;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.nifi.util
 * @Project：fw-nifi
 * @name：JsonUtil
 * @Date：2025/5/14 10:03
 * @Filename：JsonUtil
 */
@Component
public class JsonUtil {

    private final ObjectMapper objectMapper;

    public JsonUtil(ObjectMapper objectMapper) {
        this.objectMapper = objectMapper;
    }

    public String toJson(Object obj) throws Exception {
        return objectMapper.writeValueAsString(obj);
    }

    public <T> T fromJson(String json, Class<T> clazz) throws Exception {
        return objectMapper.readValue(json, clazz);
    }

}
